Bug 596816 - Using screensaver, or changing screensaver causes GDM to restart
Summary: Using screensaver, or changing screensaver causes GDM to restart
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-screensaver   
(Show other bugs)
Version: 13
Hardware: i686
OS: Linux
low
urgent
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-27 15:01 UTC by Nathan Crubel
Modified: 2015-01-14 23:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-07 17:08:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nathan Crubel 2010-05-27 15:01:02 UTC
Description of problem:  When Locking screen or trying to change screensaver, GDM crashes.


Version-Release number of selected component (if applicable):


How reproducible:
Go into gnome-screensaver-preferences and try to change saver, or
Lock screen for screensaver to start, try to log back in. 

Steps to Reproduce:
1. Change screensaver or gdm
2. 
3.
  
Actual results:
GDM restarts

Expected results:
Able to change without GDM restarting.

Additional info:
This is from preupgrade install from Fedora 12 to Fedora 13.

Comment 1 Nathan Crubel 2010-05-27 15:07:18 UTC
Backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80e51dc]
1: /usr/bin/Xorg (0x8047000+0x5e176) [0x80a5176]
2: (vdso) (__kernel_rt_sigreturn+0x0) [0x44c40c]
3: /usr/bin/Xorg (miDoCopy+0x2e) [0x8198c2e]
4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x843000+0x39bd9) [0x87cbd9]
5: /usr/bin/Xorg (0x8047000+0xd6b14) [0x811db14]
6: /usr/lib/xorg/modules/drivers/intel_drv.so (0x843000+0x35797) [0x878797]
7: /usr/lib/xorg/modules/drivers/intel_drv.so (0x843000+0x3649b) [0x87949b]
8: /usr/lib/xorg/modules/drivers/intel_drv.so (0x843000+0x30793) [0x873793]
9: /usr/lib/libdrm.so.2 (drmHandleEvent+0xf1) [0x36b5921]
10: /usr/lib/xorg/modules/drivers/intel_drv.so (0x843000+0x306cf) [0x8736cf]
11: /usr/bin/Xorg (WakeupHandler+0x52) [0x80734b2]
12: /usr/bin/Xorg (WaitForSomething+0x1a2) [0x809f4a2]
13: /usr/bin/Xorg (0x8047000+0x26c70) [0x806dc70]
14: /usr/bin/Xorg (0x8047000+0x1b675) [0x8062675]
15: /lib/libc.so.6 (__libc_start_main+0xe6) [0x931cc6]
16: /usr/bin/Xorg (0x8047000+0x1b261) [0x8062261]
Segmentation fault at address 0x90

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting

Comment 2 Nathan Crubel 2010-05-27 19:20:42 UTC
Looks to be video related and glx screen savers.  Removeing glx based screen savers, screensaver does not cause gdm to crash.

Comment 3 Nathan Crubel 2010-05-27 19:23:24 UTC
Video Card info.  

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)

Comment 4 Nathan Crubel 2011-04-07 17:08:53 UTC
This is not a issue anymore.


Note You need to log in before you can comment on or make changes to this bug.